> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tai42.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a connection flow

> Begin a Connect (OAuth authorize URL, or an immediate no-auth connection).



## OpenAPI

````yaml /openapi.json post /api/connectors/connections/start
openapi: 3.1.0
info:
  description: The operator HTTP surface served under /api/*.
  title: tai42-skeleton API
  version: 0.1.1
servers: []
security: []
paths:
  /api/connectors/connections/start:
    post:
      tags:
        - connectors
      summary: Start a connection flow
      description: >-
        Begin a Connect (OAuth authorize URL, or an immediate no-auth
        connection).
      operationId: post_api_connectors_connections_start
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartConnectRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                required:
                  - data
                type: object
          description: Success.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Malformed request.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Missing or invalid api key.
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Conflict with the current resource state.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    StartConnectRequest:
      properties:
        alias:
          title: Alias
          type: string
        config_values:
          additionalProperties:
            type: string
          title: Config Values
          type: object
        enabled_sub_services:
          items:
            type: string
          maxItems: 64
          minItems: 1
          title: Enabled Sub Services
          type: array
        provider_id:
          title: Provider Id
          type: string
        return_url:
          default: /connectors
          title: Return Url
          type: string
      required:
        - provider_id
        - alias
        - enabled_sub_services
      title: StartConnectRequest
      type: object
    Error:
      properties:
        error:
          type: string
      required:
        - error
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````